May
23
2010

Qt 4.7 beta 1 in qting-edge gentoo overlay

Qt 4.7 beta 1 is now available in the qting-edge overlay.

To install it, add the overlay (using layman or PORTDIR_OVERLAY) and unmask qt-4.7_beta1 by copying or linking the keywords file we provide in your /etc/portage/package.unmask/ folder.

ln -s /path/to/qting-edge/Documentation/package.keywords/qt-4.7 /etc/portage/package.unmask/

# IF YOU USE A package.unmask FILE, run the following INSTEAD
cat /path/to/qting-edge/Documentation/package.keywords/qt-4.7 >> /etc/portage/package.unmask

then update your world:

emerge -avDuN world

if you only want to update Qt, run

emerge -av1 $(eix -I --only-names x11-libs/qt-)

Please report any ebuild-related bugs you find in our bugzilla, prefixed with [qting-edge] in the summary!

Enjoy :)

tags: , , ,
posted in gentoo by Alex “wired” Alexander

Follow comments via the RSS Feed | Leave a comment | Trackback URL

2 Responses to “Qt 4.7 beta 1 in qting-edge gentoo overlay”

  1. Any word if this is stable to use with KDE 4.4.x?

    • Answering myself, it works well using ABI compatibility. Performance and correctness are good.

      As an aside, I disabled the forced raster useflag. In my not so humble opinion, this is wrong. You’re using a nasty hack to improve performance on the shoddy Intel graphics drivers/cards at the expense of real GPUs and breaking X11′s strengths in remote usage in the process.

Leave a Reply

 
Powered by Wordpress and MySQL. Original theme by openark.org - customization by me :)